#ifndef __NET_PINGEX_HEADER__

#define __NET_PINGEX_HEADER__


/*
ICMP Header

+----------+----------+----------------------+
| 8 bit ICMP    |  8 bit ICMP  |    16 bit ICMP Checksum     |
|      Type       |    Code        |                                            |
+----------+----------+----------------------+
|                                                                                         |
|               ICMP Contents (depends on type and code)     |
|                                                                                         |
+--------------------------------------------+

when ECHO request, ICMPContents is

+---------------------+----------------------+
|               ID                        |               sequence              |
|                                           |                                            | 
+---------------------+----------------------+
|                               32 bit time stamp                               |
|                                                                                          |
+--------------------------------------------+

ICMP Checksum
	IPv4 --- ICMP header + payload
	IPv6 --- IPv6 Psueo-header


*/

typedef struct icmp_hdr {
	unsigned char icmp_type;
	unsigned char icmp_code;
	unsigned short icmp_checksum;
	unsigned short icmp_id;
	unsigned short icmp_sequence;
	unsigned long icmp_timestamp;
} ICMP_HDR, *PICMP_HDR;


#endif
